Package org.bukkit

# Enum Class Difficulty

java.lang.Object
java.lang.Enum<Difficulty>
org.bukkit.Difficulty

All Implemented Interfaces:
  `Serializable`, `Comparable<Difficulty>`, `Constable`, `Translatable`

public enum Difficulty extends Enum<Difficulty> implements Translatable
Represents the various difficulty levels that are available.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EASY`
Hostile mobs spawn, enemies deal less damage than on normal difficulty, the hunger bar does deplete and starving deals up to 5 hearts of damage.
`HARD`
Hostile mobs spawn, enemies deal greater damage than on normal difficulty, the hunger bar does deplete and starving can kill players.
`NORMAL`
Hostile mobs spawn, enemies deal normal amounts of damage, the hunger bar does deplete and starving deals up to 9.5 hearts of damage.
`PEACEFUL`
Players regain health over time, hostile mobs don't spawn, the hunger bar does not deplete.

## Method Summary

Modifier and Type
Method
Description
`static @Nullable Difficulty`
`getByValue(int value)`
Deprecated.
Magic value
`int`
`getValue()`
Deprecated.
Magic value
`@NotNull String`
`translationKey()`
Gets the translation key.
`static Difficulty`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Difficulty[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PEACEFUL

public static final Difficulty PEACEFUL
Players regain health over time, hostile mobs don't spawn, the hunger bar does not deplete.

### EASY

public static final Difficulty EASY
Hostile mobs spawn, enemies deal less damage than on normal difficulty, the hunger bar does deplete and starving deals up to 5 hearts of damage. (Default value)

### NORMAL

public static final Difficulty NORMAL
Hostile mobs spawn, enemies deal normal amounts of damage, the hunger bar does deplete and starving deals up to 9.5 hearts of damage.

### HARD

public static final Difficulty HARD
Hostile mobs spawn, enemies deal greater damage than on normal difficulty, the hunger bar does deplete and starving can kill players.

## Method Details

### values

public static Difficulty[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Difficulty valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

@Deprecated public int getValue()
Deprecated.
Magic value
Gets the difficulty value associated with this Difficulty.

Returns:
  An integer value of this difficulty

### translationKey

@NotNull public @NotNull String translationKey()
Description copied from interface: `net.kyori.adventure.translation.Translatable`
Gets the translation key.

Specified by:
  `translationKey` in interface `Translatable`
Returns:
  the translation key

### getByValue

@Deprecated @Nullable public static @Nullable Difficulty getByValue(int value)
Deprecated.
Magic value
Gets the Difficulty represented by the specified value

Parameters:
  `value` - Value to check
Returns:
  Associative `Difficulty` with the given value, or null if it doesn't exist